local ok, catppuccin = pcall(require, "catppuccin")
if not ok then
    return
end

catppuccin.setup {
    flavour = "mocha", -- latte, frappe, macchiato, mocha
    transparent_background = true,
    dim_inactive = {
        enabled = false,
        -- shade = "dark",
        -- percentage = 0.15,
    },
    integrations = {
        cmp = true,
        fidget = true,
        gitsigns = true,
        indent_blankline = {
            enabled = true,
            colored_indent_levels = false,
        },
        mason = true,
        native_lsp = {
            enabled = true,
            virtual_text = {
                errors = { "italic" },
                hints = { "italic" },
                warnings = { "italic" },
                information = { "italic" },
            },
            underlines = {
                errors = { "underline" },
                hints = { "underline" },
                warnings = { "underline" },
                information = { "underline" },
            },
        },
        telescope = true,
        treesitter = true,
        treesitter_context = true,
    },
}

vim.cmd.colorscheme "catppuccin"
